MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ChainFilterPlugin.hxx File Reference

A filter chain is a container for several filters. More...

Go to the source code of this file.

## Functions
PreparedFilter * | filter_chain_new ()
| Creates a new filter chain. More...
void | filter_chain_append (PreparedFilter &chain, const char *name, PreparedFilter *filter)
| Appends a new filter at the end of the filter chain. More...

## Detailed Description

A filter chain is a container for several filters.

They are chained together, i.e. called in a row, one filter passing its output to the next one.

Definition in file ChainFilterPlugin.hxx.

## Function Documentation

void filter_chain_append | ( | PreparedFilter & | chain,
|  | const char * | name,
|  | PreparedFilter * | filter
| ) |  |

Appends a new filter at the end of the filter chain.

You must call this function before the first filter_open() call.

Parameters

  chain | the filter chain created with filter_chain_new()
  filter | the filter to be appended to #chain

PreparedFilter* filter_chain_new | ( |  | ) |

Creates a new filter chain.